Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.construct.builder
Class SimpleServiceBuilder

    java.lang.Object
      org.mule.construct.builder.AbstractFlowConstructBuilder<T,F>
          org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder<SimpleServiceBuilder,SimpleService>
              org.mule.construct.builder.SimpleServiceBuilder

    public class SimpleServiceBuilder

extends AbstractFlowConstructWithSingleInboundEndpointBuilder<SimpleServiceBuilder,SimpleService>

Fluent API for the creation of a SimpleService.

Field Summary
`protected Component` | `component`
`protected SimpleService.Type` | `type`

Fields inherited from class org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder
`inboundResponseTransformers, inboundTransformers`

Fields inherited from class org.mule.construct.builder.AbstractFlowConstructBuilder
`exceptionListener, messageSource, name`

Constructor Summary
`SimpleServiceBuilder()`

Method Summary
`protected SimpleService` | `buildFlowConstruct(MuleContext muleContext)`
`SimpleServiceBuilder` | `component(Callable callable)`
`SimpleServiceBuilder` | `component(Class<?> componentClass)`
`SimpleServiceBuilder` | `component(Component component)`
`SimpleServiceBuilder` | `component(Object o)`
`SimpleServiceBuilder` | `component(ObjectFactory objectFactory)`
`protected EntryPointResolverSet` | `createEntryPointResolverSet()`
`protected MessageExchangePattern` | `getInboundMessageExchangePattern()`
`SimpleServiceBuilder` | `inboundResponseTransformers(Transformer... responseTransformers)`
`SimpleServiceBuilder` | `inboundTransformers(Transformer... transformers)`
`SimpleServiceBuilder` | `type(SimpleService.Type type)`

Methods inherited from class org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder
`doConfigureInboundEndpointBuilder, getOrBuildInboundEndpoint, inboundAddress, inboundEndpoint, inboundEndpoint`

Methods inherited from class org.mule.construct.builder.AbstractFlowConstructBuilder
`addExceptionListener, build, buildAndRegister, exceptionStrategy, messageSource, name`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected SimpleService.Type type

### component

    protected Component component

Constructor Detail

### SimpleServiceBuilder

    public SimpleServiceBuilder()

Method Detail

### getInboundMessageExchangePattern

    protected MessageExchangePattern getInboundMessageExchangePattern()

  Specified by:
    `getInboundMessageExchangePattern` in class `AbstractFlowConstructWithSingleInboundEndpointBuilder<SimpleServiceBuilder,SimpleService>`

### inboundTransformers

    public SimpleServiceBuilder inboundTransformers(Transformer... transformers)

### inboundResponseTransformers

    public SimpleServiceBuilder inboundResponseTransformers(Transformer... responseTransformers)

### component

    public SimpleServiceBuilder component(Class<?> componentClass)

### component

    public SimpleServiceBuilder component(ObjectFactory objectFactory)

### component

    public SimpleServiceBuilder component(Callable callable)

### component

    public SimpleServiceBuilder component(Object o)

### type

    public SimpleServiceBuilder type(SimpleService.Type type)

### component

    public SimpleServiceBuilder component(Component component)

### buildFlowConstruct

    protected SimpleService buildFlowConstruct(MuleContext muleContext)
                                        throws MuleException

  Specified by:
    `buildFlowConstruct` in class `AbstractFlowConstructBuilder<SimpleServiceBuilder,SimpleService>`
  Throws:
    `MuleException`

### createEntryPointResolverSet

    protected EntryPointResolverSet createEntryPointResolverSet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.